// creator  : weidu.exe (version 23100)
// argument : OBERAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~OBERAN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 4 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #8209 /* ~What made you want to become a knight?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 4 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #8210 /* ~This all seems rather petty. I do not wish to hear anymore of this.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #8211 /* ~I've always dreamed of being a knight from the first time I saw an armored column from my mother's arm.  Someday I will thunder by beneath the Radiant Heart pennant.~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
~ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #8212 /* ~Nahal's Reckless Dweomer* (Invocation/Evocation) 
Level: 1
Range: Special
Duration: Special
Casting Time: 5
Area of Effect: Special
Saving Throw: Special

This spell is the wild mage's ultimate last-resort spell. When cast, the mage releases a sudden flood of wild magical energy in the hope of seizing and shaping that energy into a desired spell effect. The attempt usually fails, but something almost always occurs in the process.

To use Reckless Dweomer, simply cast it and then choose from your list of known spells.  A burst of magical energy is released, which the wild mage tries to manipulate into the desired form. The actual effect of the spell is determined randomly by a dice roll on the Wild Surge Table (found in your manual).

Because the release of energy is planned by the mage, his level is added to the dice roll. If the result indicates success, the mage has shaped the magical energy into the desired effect. More often than not, the effect is completely unexpected. The result may be beneficial to the mage or it may be completely disastrous; this is the risk the mage takes in casting Nahal's reckless dweomer. 
~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
CreateCreature("GUARD",[0.0])
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #9121 /* ~Look, harlequin, go on and tell your tales... I'm sure someone here believes them.  Now get out of my sight before I skewer you and your liar's soul.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #9122 /* ~Heresy is a devil's bellow, dwarf.  My service is to my lord.~ [ANOMEN60] */
  IF ~~ THEN EXIT
END
